# pull official base image
FROM python:3.7-alpine
MAINTAINER Mehran

# set work directory
#WORKDIR /usr/src/app
RUN mkdir /app
WORKDIR /app
COPY ./app /app

# set environment variables
ENV PYTHONDONTWRITEBYTECODE 1
ENV PYTHONUNBUFFERED 1

COPY ./requirements.txt /requirements.txt
RUN pip install -r /requirements.txt

# install psycopg2
RUN apk update && apk add --virtual build-deps gcc python3-dev musl-dev && apk add postgresql-dev && pip install psycopg2  && apk del build-deps

# install dependencies
RUN pip install --upgrade pip
RUN pip install pipenv
COPY ./Pipfile /app/Pipfile
RUN pipenv install --skip-lock --system


# copy entrypoint.sh
#COPY ./entrypoint.sh /app/entrypoint.sh
# run entrypoint.sh
#ENTRYPOINT ["/app/entrypoint.sh"]

# copy project
#COPY . /app/
